Package weka.attributeSelection

# Class BestFirst.LinkedList2

java.lang.Object
java.util.AbstractCollection<E>
java.util.AbstractList<E>
java.util.ArrayList<BestFirst.Link2>
weka.attributeSelection.BestFirst.LinkedList2

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Iterable<BestFirst.Link2>`, `Collection<BestFirst.Link2>`, `List<BestFirst.Link2>`, `RandomAccess`

Enclosing class:
  BestFirst

public class BestFirst.LinkedList2 extends ArrayList<BestFirst.Link2>
Class for handling a linked list. Used in best first search. Extends the Vector class.

Author:
  Mark Hall (mhall@cs.waikato.ac.nz)
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LinkedList2(int sz)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addToList(Object[] data, double mer)`
  adds an element (Link) to the list.
  `BestFirst.Link2`
  `getLinkAt(int index)`
  returns the element (Link) at a specific index from the list.
  `String`
  `getRevision()`
  Returns the revision string.
  `void`
  `removeLinkAt(int index)`
  removes an element (Link) at a specific index from the list.

  ### Methods inherited from class java.util.ArrayList

  `add, add, addAll, addAll, clear, clone, contains, ensureCapacity, equals, forEach, get, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeIf, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray, trimToSize`

  ### Methods inherited from class java.util.AbstractCollection

  `containsAll, toString`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.util.Collection

  `parallelStream, stream, toArray`

  ### Methods inherited from interface java.util.List

  `containsAll`

- ## Constructor Details

  - ### LinkedList2

    public LinkedList2(int sz)

- ## Method Details

  - ### removeLinkAt

    public void removeLinkAt(int index) throws Exception
    removes an element (Link) at a specific index from the list.
    Parameters:
      `index` - the index of the element to be removed.
    Throws:
      `Exception`

  - ### getLinkAt

    public BestFirst.Link2 getLinkAt(int index) throws Exception
    returns the element (Link) at a specific index from the list.
    Parameters:
      `index` - the index of the element to be returned.
    Throws:
      `Exception`

  - ### addToList

    public void addToList(Object[] data, double mer) throws Exception
    adds an element (Link) to the list.
    Parameters:
      `data` - the attribute set specification
      `mer` - the "merit" of this attribute set
    Throws:
      `Exception`

  - ### getRevision

    public String getRevision()
    Returns the revision string.
    Returns:
      the revision